{% extends 'base.html.twig' %}

{# SEO #}
{% block title %}{{ post.content.pageTitle }}{% endblock %}
{% block description %}{{ post.content.pageDescription }}{% endblock %}
{% block image %}/uploads/img_article/{{ post.image }}{% endblock %}
{% block facebook %}{% if general is defined and general|length > 0 %}{{ general.getFbLink() }}{% endif %}{% endblock %}
{% block twitter %}{% if general is defined and general|length > 0 %}{{ general.getTwtLink() }}{% endif %}{% endblock %}
{% block instagram %}{% if general is defined and general|length > 0 %}{{ general.getIgLink() }}{% endif %}{% endblock %}
{% block youtube %}{% if general is defined and general|length > 0 %}{{ general.getYtLink() }}{% endif %}{% endblock %}
{% block email %}{% if general is defined and general|length > 0 %}{{ general.getEmail() }}{% endif %}{% endblock %}
{% block phone %}{% if general is defined and general|length > 0 %}{{ general.getPhoneNumber() }}{% endif %}{% endblock %}
{% block city %}{% if general is defined and general|length > 0 %}{{ general.getCity() }}{% endif %}{% endblock %}
{% block zip %}{% if general is defined and general|length > 0 %}{{ general.getZipCode() }}{% endif %}{% endblock %}
{% block street %}{% if general is defined and general|length > 0 %}{{ general.getAddress() }}{% endif %}{% endblock %}
{% block address_country %}{% if general is defined and general|length > 0 %}{{ general.getCountry() }}{% endif %}{% endblock %}
{% block legal_name %}{% if general is defined and general|length > 0 %}{{ general.getLegalName() }}{% endif %}{% endblock %}
{% block siret %}{% if general is defined and general|length > 0 %}{{ general.getSiret() }}{% endif %}{% endblock %}
{% block donation %}{% if general is defined and general|length > 0 %}{{ general.getDonationLink() }}{% endif %}{% endblock %}

{% block body %}

	<div class="page-article">

		<article>
			<div class="img">
				<img src="/images/placeholder.png" data-src="/uploads/img_article/{{ post.image }}" alt="{{ post.content.title }}">
			</div>
			<div>
				<div class="infos">
					<p>{{'post.author_label'|trans}}  {{ author.firstName }}</p>
					<p>{{ post.createdAt | date('d/m/Y - H:i') }}</p>
				</div>
				<h1>{{ post.content.title }}</h1>
				<div class="richtext">
					{{ post.content.content | raw }}
				</div>
			</div>
		</article>

		{{ include('./blocks/news.twig', {
			'section': posts
		}) }}

		{{ include('./blocks/newsletter.twig') }}

	</div>

{% endblock %}


{% block jsonLd %}

	<script type="application/ld+json">
		{
			"@context": "https://schema.org/",
			"@type": "Article",
			"name": "{{ post.content.title }}",
			"headline": "{{ post.content.title }}",
			"image": "{{ base_url }}/uploads/img_article/{{ post.image }}",
			"description": "{{ post.content.shortContent }}",
			"author": "Harkay",
			"dateCreated": "{{ post.createdAt | date('Y/m/d') }}",
			"dateModified": "{{ post.lastUpdatedAt | date('Y/m/d') }}",
			"datePublished": "{{ post.createdAt | date('Y/m/d') }}",
			"mainEntityOfPage": "{{ url('posts') }}",
			"publisher": {
				"@type": "Organization",
				"name": "Harkay",
				"url": "{{ base_url }}",
				"logo": "{{ base_url }}/images/logo_harkay.png"
			},
			"inLanguage": "{{ lang }}",
			"articleBody": "{{ post.content.content | striptags | replace({'"':'\"', "\n": "", "\r": "", "\t": ""}) }}"
		}
	</script>

	<script type="application/ld+json">
		{
			"@context": "https://schema.org",
			"@type": "BreadcrumbList",
			"itemListElement": [
				{
					"@type": "ListItem",
					"position": 1,
					"name": "Harkay",
					"item": "{{ url('home') }}"
				},
				{
					"@type": "ListItem",
					"position": 2,
					"name": "{{'posts.title'|trans}}",
					"item": "{{ url('posts') }}"
				},
				{
					"@type": "ListItem",
					"position": 3,
					"name": "{{ post.content.title }}"
				}
			]
		}
	</script>

{% endblock %}

